<template>
  <tr>
    <td>{{ events.peluquero }}</td>
    <td>{{ events.title }}</td>
    <td>{{ events.start }}</td>
    <td>{{ events.end }}</td>
    <td>{{ events.classe }}</td>

    <td class="text-center">
      <a class="btn btn-info btn-xs" @click="edit"
        ><span class="glyphicon glyphicon-edit"></span> Edit</a
      >
      <a @click="deleteUser" class="btn btn-danger btn-xs"
        ><span class="glyphicon glyphicon-remove"></span> Del</a
      >
    </td>
  </tr>
</template>
<script>
export default {
  name: "reserveAppointmentItem",
  components: {},
  props: {
    events: {
      propType: Object,
      required: true
    }
  },
  data() {
    return {};
  },

  methods: {
    deleteUser() {
      this.$emit("btn-delete", this.events.id);
    },
    edit() {
      this.$emit("btn-edit", this.events);
    }
  }
};
</script>

<style scoped>
.btndel {
  cursor: pointer;
  margin-bottom: 8px;
  height: 30px;
  width: 60px;
  margin-left: 4px;
}
.btnedit {
  cursor: pointer;
  height: 30px;
  width: 60px;
}
.item-contact {
  display: flex;
  justify-content: center;
}
.fas {
  color: #ff7200;
}
</style>
